package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * RestrictionEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class RestrictionEntity   {
  @JsonProperty("networkName")
  private String networkName;

  @JsonProperty("filterId")
  private Integer filterId;

  @JsonProperty("networkId")
  private String networkId;

  public RestrictionEntity networkName(String networkName) {
    this.networkName = networkName;
    return this;
  }

  /**
   * Network name. It should be the name of LAN network, can be obtained from 'Get LAN network list' interface.
   * @return networkName
  */
  @ApiModelProperty(required = true, value = "Network name. It should be the name of LAN network, can be obtained from 'Get LAN network list' interface.")
  @NotNull


  public String getNetworkName() {
    return networkName;
  }

  public void setNetworkName(String networkName) {
    this.networkName = networkName;
  }

  public RestrictionEntity filterId(Integer filterId) {
    this.filterId = filterId;
    return this;
  }

  /**
   * Filter ID can be obtained from 'Get filter list' interface.
   * @return filterId
  */
  @ApiModelProperty(required = true, value = "Filter ID can be obtained from 'Get filter list' interface.")
  @NotNull


  public Integer getFilterId() {
    return filterId;
  }

  public void setFilterId(Integer filterId) {
    this.filterId = filterId;
  }

  public RestrictionEntity networkId(String networkId) {
    this.networkId = networkId;
    return this;
  }

  /**
   * Network ID. It should be the ID of lan network. It can be queried by request: Get LAN network list.
   * @return networkId
  */
  @ApiModelProperty(value = "Network ID. It should be the ID of lan network. It can be queried by request: Get LAN network list.")


  public String getNetworkId() {
    return networkId;
  }

  public void setNetworkId(String networkId) {
    this.networkId = networkId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    RestrictionEntity restrictionEntity = (RestrictionEntity) o;
    return Objects.equals(this.networkName, restrictionEntity.networkName) &&
        Objects.equals(this.filterId, restrictionEntity.filterId) &&
        Objects.equals(this.networkId, restrictionEntity.networkId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(networkName, filterId, networkId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class RestrictionEntity {\n");
    
    sb.append("    networkName: ").append(toIndentedString(networkName)).append("\n");
    sb.append("    filterId: ").append(toIndentedString(filterId)).append("\n");
    sb.append("    networkId: ").append(toIndentedString(networkId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

